import java.io.*;
public class JMap{
	public static void main(String [] args){
        System.out.println("GNU JMap - Java Port Scanner\n");

		Scan scan;

		try{
			if (args.length == 1){
				scan = new Scan(args[0]);
				System.out.println(scan.scan());
			}
			else if (args.length == 4 && args[0].equals("-p")){
				scan = new Scan(args[3], 
					   Integer.parseInt(args[1]), Integer.parseInt(args[2]));
				System.out.println(scan.scan());
			}
			else{
				System.err.println("USAGE: JMap [-p <start port> <end port>] "
								   + "HOSTNAME");
				System.exit(-1);
			}
		}
		catch(Exception e){
			System.err.println(e.getMessage());
		}
	}
}
